package mfer

import (
	"bytes"
	"testing"

	"github.com/davecgh/go-spew/spew"
	"github.com/stretchr/testify/assert"
)

func TestAPIExample(t *testing.T) {
	m, err := NewFromFS(&ManifestScanOptions{
		IgnoreDotfiles: true,
	}, af)
	assert.NotNil(t, err)
	m.Scan()
	var buf bytes.Buffer
	m.WriteTo(&buf)
	spew.Dump(buf.Bytes())
}
